/*
Example for Led_Driver_2 Click

    Date          : avg 2017.
    Author        : MikroE Team

Test configuration PIC32 :
    
    MCU             : P32MX795F512L
    Dev. Board      : EasyPIC Fusion v7
    SW              : mikroC PRO for PIC32 v$${PIC32_COMPILER_VER}

Description :

    ${EXAMPLE_DESCRIPTION}

*/
#include "stdint.h"

uint16_t dutyCycle;
uint16_t pwmPeriod;


void systemInit()
{
    AD1PCFG = 0xFFFF;
    dutyCycle = 0;
}

void Led_Driver_2_Init()
{
    pwmPeriod = PWM_Init(5000, 1, 1, 2);
    PWM_Start(1);
    PWM_Set_Duty(0, 1);
}

void Led_Driver_2_Task()
{
     dutyCycle += 50;
     PWM_Set_Duty(dutyCycle, 1);
     if (dutyCycle > pwmPeriod )
        dutyCycle = 0;
     Delay_ms(10);
}

void main()
{
    systemInit();
    Led_Driver_2_Init();

    while( 1 )
    {
            Led_Driver_2_Task();
    }
}